<?php

if ( ! current_user_can( 'manage_options' ) ) {
	wp_die( esc_attr__( 'You do not have sufficient capabilities to access this page.', 'league-table-lite') );
}

?>

<div class="wrap">

	<h2><?php esc_attr_e( 'League Table - Options', 'league-table-lite'); ?></h2>

	<?php

	//settings errors
	if ( isset( $_GET['settings-updated'] ) ) {
	    $settings_updated = sanitize_key($_GET['settings-updated']);
	    if($settings_updated === 'true'){
		    settings_errors();
        }
	}

	?>

	<div id="daext-options-wrapper">

		<?php

		//get current tab value
		$active_tab = isset( $_GET['tab'] ) ? sanitize_key($_GET['tab']) : 'general';

		?>

		<div class="nav-tab-wrapper">
			<a href="?page=daextletal-options&tab=general"
			   class="nav-tab <?php echo $active_tab == 'general' ? 'nav-tab-active' : ''; ?>"><?php esc_attr_e( 'General', 'league-table-lite'); ?></a>
        </div>

		<form method='post' action='options.php'>

			<?php

			if ( $active_tab == 'general' ) {

				settings_fields( $this->shared->get( 'slug' ) . '_general_options' );
				do_settings_sections( $this->shared->get( 'slug' ) . '_general_options' );

			}

			?>

			<div class="daext-options-action">
				<input type="submit" name="submit" id="submit" class="button"
				       value="<?php esc_attr_e( 'Save Changes', 'league-table-lite'); ?>">
			</div>

		</form>

	</div>

</div>